// tlvparse.h
//
// COPYRIGHT
// ---------
// The software was developed by the National Institute of Standards and 
// Technology (NIST), an agency of the Federal Government.  Pursuant to 
// Title 15 United States Code Section 105, works of NIST are not subject
// to copyright protection in the United States and are considered to be
// in the public domain.  As a result, a formal license is not needed to
// use the software.
// 
// The PIV Middleware Reference Implementation software is provided
// by NIST as a service and is expressly provided "AS IS."  
// NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR STATUTORY, 
// INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT AND DATA ACCURACY.
// NIST does not warrant or make any representations regarding the use of
// the software or the results thereof, including but not limited to the
// correctness, accuracy, reliability or usefulness of the software.
// 
// Permission to use this software is contingent upon your acceptance of 
// the terms of this agreement and upon your providing appropriate
// acknowledgments of NIST's ownership of the software.

#ifndef __tlvparse_h__
#define __tlvparse_h__

#ifdef __cplusplus
extern "C" {
#endif

#define HEADER_LEN	2

/* return codes */
#define TLV_SUCCESS				0
#define TLV_BAD_LEN				1
#define TLV_BAD_TLEN			2
#define TLV_BAD_VLEN			3
#define TLV_NOT_ENOUGH_MEMORY	4
#define TLV_BAD_TBUFF			5
#define TLV_UNSUPPORTED			-1

typedef struct _TLV {
	unsigned char tag;
	unsigned int length;
	unsigned char value[1];
}TLV, *PTLV;

int parseTLVTLV (unsigned char *data, unsigned int dataLen, PTLV tlvs[], unsigned int *ptlvCount);

int parseTBuffVBuff (unsigned char *tBuff, unsigned int tLen, unsigned char *vBuff, unsigned int vLen, PTLV tlvs[], unsigned int *ptlvCount);

unsigned int getLen ( unsigned char *buffer, unsigned int len, unsigned int *loc );

int parseTLVs (PTLV tlvs[], unsigned int *ptlvCount, unsigned int bCount, ...);

void freeTLVArray(PTLV tlvs[], int tlvCount);

#ifdef __cplusplus
}
#endif

#endif
