// MemWdmDevice.h
//
// Generated by DriverWizard version DriverStudio 3.1.0 (Build 1631)
// Requires Compuware's DriverWorks classes
//

#ifndef __MemWdmDevice_h__
#define __MemWdmDevice_h__

// TODO:	The wizard creates a single driver managed queue class.
//			You may choose to create additional classes derived from
//			KDriverManagedQueueEx to help manage Irp processing.	
class MemWdmDevice_DriverManagedQueue : public KDriverManagedQueueEx
{
public:
	SAFE_DESTRUCTORS;
	VOID StartIo(KIrp I);
};

class MemWdmDevice : public KPnpDevice
{
	// Constructors
public:
	SAFE_DESTRUCTORS;
	MemWdmDevice(PDEVICE_OBJECT Pdo, ULONG Unit);
	~MemWdmDevice();

	// Member Functions
public:
	DEVMEMBER_DISPATCHERS
	virtual NTSTATUS OnStartDevice(KIrp I);
	virtual NTSTATUS OnStopDevice(KIrp I);
	virtual NTSTATUS OnRemoveDevice(KIrp I);
	VOID Invalidate(void);
	virtual NTSTATUS DefaultPnp(KIrp I);
	virtual NTSTATUS DefaultPower(KIrp I);
	virtual NTSTATUS OnDevicePowerUp(KIrp I);
	virtual NTSTATUS OnDeviceSleep(KIrp I);

	NTSTATUS MEMWDM_IOCTL_GPIO_Handler(KIrp I);

	NTSTATUS MEMWDM_IOCTL_EBDA_Handler(KIrp I);

	//
	// Pass through registry settings
	//
	void SetParams (USHORT portBaseAddr0,
					ULONG memBaseAddr0);

	void WaitLoop (USHORT wcount);

#ifdef _COMMENT_ONLY

		// The following member functions are actually defined by the
		// a DEVMEMBER_xxx or MEMBER_xxx macro (such as DEVMEMBER_DISPATCHERS).
		// The macro __COMMENT_ONLY never gets defined.  These comment-only
		// definitions simply allow easy navigation to the functions within
		// the Developer Studio using the class browser.

	virtual NTSTATUS CleanUp(KIrp I);		// COMMENT_ONLY
	virtual NTSTATUS Create(KIrp I);		// COMMENT_ONLY
	virtual NTSTATUS Close(KIrp I);			// COMMENT_ONLY
	virtual NTSTATUS DeviceControl(KIrp I);		// COMMENT_ONLY
	virtual NTSTATUS SystemControl(KIrp I);		// COMMENT_ONLY
#endif

	// Member Data
protected:
		// Unit number for this device (0-9)
	ULONG			m_Unit;
	USHORT			m_nPortBaseAddrGPIO;
	ULONG			m_nMemBaseAddrEBDA;

	KPnpLowerDevice		m_Lower;
	MemWdmDevice_DriverManagedQueue m_DriverManagedQueue;
// TODO:	Create additional driver managed queues.  These might be
//			of the same class (MemWdmDevice_DriverManagedQueue),
//			or you might choose to derive another class.
		// The following members correspond to hardware resources in the
		// device.

	KIoRange		m_IoPortRangeGPIO;	// GPIO
	KMemoryRange	m_MemRangeEBDA;		// Memory Base for EBDA
};

#endif
