//*************************Header Section**************************
SeverityNames=(Success=0x0:STATUS_SEVERITY_SUCCESS
               Informational=0x1:STATUS_SEVERITY_INFORMATIONAL
               Warning=0x2:STATUS_SEVERITY_WARNING
               Error=0x3:STATUS_SEVERITY_ERROR
              )
//*********************End of Header Section***********************
// MessageIdTypeDef should NOT be altered
// Category definitions are of type WORD
//**********************Category Definitions***********************
//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//
#define FACILITY_SYSTEM                  0x0
#define FACILITY_STUBS                   0x3
#define FACILITY_RUNTIME                 0x2
#define FACILITY_IO_ERROR_CODE           0x4


//
// Define the severity codes
//


//
// MessageId: CAT_1
//
// MessageText:
//
//  Standard%0
//
#define CAT_1                            ((WORD)0x00000001L)

//********************End of Category Definitions******************
// MessageIdTypeDef should NOT be altered
// Event definitions are of type DWORD
//***********************Event Definitions***************************
//
// MessageId: MSG_SUCCESS
//
// MessageText:
//
//  %1%0
//
#define MSG_SUCCESS                      ((DWORD)0x00000101L)

Severity=Success
Facility=Runtime
//
// MessageId: MSG_INFO
//
// MessageText:
//
//  %1%0
//
#define MSG_INFO                         ((DWORD)0x00000102L)

Severity=Success
Facility=Runtime
//
// MessageId: MSG_WARN
//
// MessageText:
//
//  %1%0
//
#define MSG_WARN                         ((DWORD)0x00000103L)

Severity=Success
Facility=Runtime
//
// MessageId: MSG_ERROR
//
// MessageText:
//
//  %1%0
//
#define MSG_ERROR                        ((DWORD)0x00000104L)

Severity=Success
Facility=Runtime
//***********************End of Event Definitions********************